#!/bin/bash

# -> Shellfish is written in C by Marcel Ferenc Blokker of Sanghalung Software 
#    (ferenc@sanghalung.com) and can be compiled / linked with the 
#    GNU Compiler Collection or in short, gcc. 

# -> Shellfish uses the libk8055 library (included) created by Julien Etelain and Edward Nys.
# -> It also uses the libusb library created by Hans de Goede, Xiaofan Chen, 
#    Ludovic Rousseau, Nathan Hjelm and Chris Dickens. You need to install it.

# -> I have changed the libk8055 in order to avoid timeout errors
#    on too short wait times when usb device / hardware is in error state. 
#    I advice you to use the included version.

LIB='libk8055'
PRG='shellfish'

gcc -O2 -c -o $LIB.o $LIB.c 
gcc -O2 -c -o $PRG.o $PRG.c
gcc $PRG.o $LIB.o -o $PRG -lusb -L/usr/lib -lm
